# log4cplus::NullAppender Class Reference

Appends log events to a file. More...

`#include <nullappender.h>`

Inheritance diagram for log4cplus::NullAppender:

[legend]
Collaboration diagram for log4cplus::NullAppender:

[legend]
List of all members.

## Public Member Functions

| NullAppender ()
| NullAppender (const log4cplus::helpers::Properties &properties)
virtual | ~NullAppender ()
virtual void | close ()
| Release any resources allocated within the appender such as file handles, network connections, etc.

## Protected Member Functions

virtual void | append (const log4cplus::spi::InternalLoggingEvent &event)
| Subclasses of `AppenderSkeleton` should implement this method to perform actual logging.

## Detailed Description

Appends log events to a file.

Definition at line 29 of file nullappender.h.

## Constructor & Destructor Documentation

log4cplus::NullAppender::NullAppender | ( |  | ) |

log4cplus::NullAppender::NullAppender | ( | const log4cplus::helpers::Properties & | properties | ) |

virtual log4cplus::NullAppender::~NullAppender | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void log4cplus::NullAppender::append | ( | const log4cplus::spi::InternalLoggingEvent & | event | ) | `[protected, virtual]`

| Subclasses of `AppenderSkeleton` should implement this method to perform actual logging. See also AppenderSkeleton.doAppend method. Implements log4cplus::Appender.

virtual void log4cplus::NullAppender::close | ( |  | ) | `[virtual]`

| Release any resources allocated within the appender such as file handles, network connections, etc. It is a programming error to append to a closed appender. Implements log4cplus::Appender.

The documentation for this class was generated from the following file:

- nullappender.h